$(document).ready(function(){

        $('[data-plugin="select_hrm"]').select2($(this).attr('data-options'));
        $('[data-plugin="select_hrm"]').select2({ width:'100%' });	
        
        jQuery("#system_info").submit(function(e){
            /*Form Submit*/
            e.preventDefault();
            	var obj = jQuery(this), action = obj.attr('name');
            	jQuery('.save').prop('disabled', true);
            	$('.icon-spinner3').show();
            	jQuery.ajax({
            		type: "POST",
            		url: e.target.action,
            		data: obj.serialize()+"&is_ajax=1&data=system_info&type=system_info&form="+action,
            		cache: false,
            		success: function (JSON) {
            			if (JSON.error != '') {
            				toastr.error(JSON.error);
            				$('.icon-spinner3').hide();
            				jQuery('.save').prop('disabled', false);
            			} else {
            				toastr.success(JSON.result);
            				$('.icon-spinner3').hide();
            				jQuery('.save').prop('disabled', false);
            			}
            		}
            });
        });
        
        	
        $("#system_profile").submit(function(e){
    		var fd = new FormData(this);
    		var obj = $(this), action = obj.attr('name');
    		fd.append("is_ajax", 1);
    		fd.append("add_type", 'system_profile');
    		fd.append("form", action);
    		e.preventDefault();
    		$('.icon-spinner3').show();
    		$('.save').prop('disabled', true);
    		
    		$.ajax({
    			url: base_url+'/system_profile',//e.target.action,
    			type: "POST",
    			data:  fd,
    			contentType: false,
    			cache: false,
    			processData:false,
    			success: function(JSON)
    			{  
    				if (JSON.error != '') {
    					toastr.error(JSON.error);
    					$('.save').prop('disabled', false);
    				} else {
    					toastr.success(JSON.result);
    					$('.save').prop('disabled', false);
    				}
    			},
    			error: function() 
    			{
    				toastr.error(JSON.error);
    				$('.icon-spinner3').hide();
    				$('.save').prop('disabled', false);
    			} 	        
    	   });
    	});

    });




